Name:           lua-posix
Version:        35.0
Release:        %mkrel 4
Summary:        A POSIX library for Lua
Group:          Development/Other
License:        Public Domain
URL:            http://luaforge.net/projects/luaposix/
Source0:        https://github.com/luaposix/luaposix/archive/v%{version}/lua-posix-%{version}.tar.gz
BuildRequires:  pkgconfig(lua)
%{?lua_requires}

%description
This is a POSIX library for Lua which provides access to many POSIX features
to Lua programs.

%prep
%setup -q -n luaposix-%{version}


%build
build-aux/luke CFLAGS="%build_cflags"


%install
build-aux/luke install PREFIX=%{buildroot}%{_prefix} INST_LIBDIR=%{buildroot}%{lua_libdir}


%files
%license LICENSE
%doc AUTHORS ChangeLog.old NEWS.md README.md
%{lua_libdir}/*
%{lua_pkgdir}/posix/




%changelog
* Fri Mar 18 2022 umeabot <umeabot> 35.0-4.mga9
+ Revision: 1797942
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 wally <wally> 35.0-3.mga9
+ Revision: 1712680
- rebuild for lua 5.4

* Sat Mar 27 2021 wally <wally> 35.0-2.mga9
+ Revision: 1711214
- fix lua requires

* Thu Nov 19 2020 luigiwalser <luigiwalser> 35.0-1.mga8
+ Revision: 1647395
- 35.0

* Fri Feb 14 2020 umeabot <umeabot> 33.4.0-2.mga8
+ Revision: 1522025
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 14 2019 luigiwalser <luigiwalser> 33.4.0-1.mga7
+ Revision: 1356784
- 33.4.0

* Sun Sep 23 2018 umeabot <umeabot> 33.3.1-4.mga7
+ Revision: 1299374
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 33.3.1-3.mga7
+ Revision: 1234196
- fix build on aarch64

* Wed Jan 27 2016 neoclust <neoclust> 33.3.1-2.mga6
+ Revision: 928178
- imported package lua-posix


* Fri Jul 17 2015 Orion Poplawski <orion@cora.nwra.com> - 33.3.1-1
- Update to 33.3.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 33.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 26 2015 Orion Poplawski <orion@cora.nwra.com> - 33.2.1-1
- Update to 33.2.1

* Tue Feb 24 2015 Orion Poplawski <orion@cora.nwra.com> - 32-4
- Update spec to match packaging draft, rebuild for lua 5.3 (bug #1195707)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jun 4 2014 Orion Poplawski <orion@cora.nwra.com> - 32-1
- Update to version 32

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 Tom Callaway <spot@fedoraproject.org> - 5.1.28-1
- update to 5.1.28, lua 5.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 27 2011 Michel Salim <salimma@fedoraproject.org> - 5.1.14-1
- Update to 5.1.14

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 15 2010 Tim Niemueller <tim@niemueller.de> - 5.1.7-1
- Update to 5.1.7
- Add -fPIC to CFLAGS

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Tim Niemueller <tim@niemueller.de> - 5.1.4-1
- Update to 5.1.4

* Sat Apr 05 2008 Tim Niemueller <tim@niemueller.de> - 5.1.2-2
- Set proper CFLAGS for valid debuginfo

* Fri Apr 04 2008 Tim Niemueller <tim@niemueller.de> - 5.1.2-1
- Initial package

